API
Google Search API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
API 참조 버전: 1.0.0 6 엔드포인트 인증
기본 URL
https://pressmonitor.com/api 인증
모든 요청에는 x-api-key 및 x-subscription-id 헤더가 필요합니다. x-api-key는 계정을 인증하고 x-subscription-id는 구독한 서비스를 선택합니다.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| text | string | query | 예 | Query text |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/google_search_web Google Search Recherche Web
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| text | string | query | 예 | Query text |
| region | string | query | 아니요 | Region code |
| safesearch | string | query | 아니요 | SafeSearch filter |
| timelimit | string | query | 아니요 | Time limit |
| max_results | integer | query | 아니요 | Maximum number of results |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/google_search_news Google Search Recherche Actualités
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| text | string | query | 예 | Query text |
| region | string | query | 아니요 | Region code |
| max_results | integer | query | 아니요 | Maximum number of results |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/google_search_images Google Search Recherche Images
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| text | string | query | 예 | Query text |
| region | string | query | 아니요 | Region code |
| safesearch | string | query | 아니요 | SafeSearch filter |
| timelimit | string | query | 아니요 | Time limit |
| max_results | integer | query | 아니요 | Maximum number of results |
| color | string | query | 아니요 | Color |
| size | string | query | 아니요 | Size |
| image_type | string | query | 아니요 | Image type |
| layout | string | query | 아니요 | Layout |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/google_search_videos Google Search Recherche Vidéos
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| text | string | query | 예 | Query text |
| region | string | query | 아니요 | Region code |
| safesearch | string | query | 아니요 | SafeSearch filter |
| timelimit | string | query | 아니요 | Time limit |
| max_results | integer | query | 아니요 | Maximum number of results |
| resolution | string | query | 아니요 | Resolution |
| duration | string | query | 아니요 | Duration |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/google_search_maps Google Search Recherche Cartes
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| text | string | query | 예 | Query text |
| place | string | query | 아니요 | Place |
| street | string | query | 아니요 | Street |
| city | string | query | 아니요 | City |
| state | string | query | 아니요 | State |
| country | string | query | 아니요 | Country code |
| postalcode | string | query | 아니요 | Postalcode |
| latitude | string | query | 아니요 | Latitude |
| longitude | string | query | 아니요 | Longitude |
| radius | string | query | 아니요 | Radius |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
